/// <reference types="node" />
import React from 'react';
import { UrlObject } from 'url';
declare type Url = string | UrlObject;
declare type InternalLinkProps = {
    href: Url;
    as?: Url;
    replace?: boolean;
    scroll?: boolean;
    shallow?: boolean;
    passHref?: boolean;
    prefetch?: boolean;
    locale?: string | false;
    legacyBehavior?: boolean;
    /**
     * requires experimental.newNextLinkBehavior
     */
    onMouseEnter?: (e: React.MouseEvent) => void;
    /**
     * requires experimental.newNextLinkBehavior
     */
    onClick?: (e: React.MouseEvent) => void;
};
export declare type LinkProps = InternalLinkProps & React.AnchorHTMLAttributes<HTMLAnchorElement>;
declare function Link(props: React.PropsWithChildren<LinkProps>): JSX.Element;
export default Link;
